<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">
    <div id="diagram-container">
        <p:diagram value="#{basicDiagramView.model}" style="height:500px; width: 1000px" id="diagram-content"/>
    </div>
    <style type="text/css">
        #diagram-container .ui-diagram-element {
            border: 0.1em dotted #d4e06b;
            width: 14em;
            height: 4em;
            line-height: 4em;
            text-align: center;
        }
    </style>
</ui:composition>
